﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerController : MonoBehaviour {

	public float movespeed = 5f;
	private Animator animator;
	void Start () {
		animator = this.GetComponent<Animator>();
	}
	
	// Update is called once per frame
	void Update () {
		float dt = Time.deltaTime;
		if (Input.GetKey (KeyCode.Escape))	Application.Quit ();

		Vector3 dv = new Vector3 (0,0,0);
		bool left = Input.GetAxis ("Horizontal") < 0;
		bool right = Input.GetAxis ("Horizontal") > 0;
		bool up = Input.GetAxis("Vertical") > 0;
		bool down = Input.GetAxis("Vertical") < 0;

		if (right) dv += new Vector3(movespeed * dt,0,0);
		if (left) dv += new Vector3(-movespeed * dt,0,0);
		if (up)	dv += new Vector3(0,movespeed * dt,0);
		if (down)dv += new Vector3(0,-movespeed * dt,0);
		transform.position += dv;
		if(dv.magnitude > 0) animator.SetInteger ("PlayerAnimState", 1);
		else animator.SetInteger ("PlayerAnimState", 0);

		Vector3 s = transform.localScale;
		if (dv.x < 0) transform.localScale = new Vector3 (-Mathf.Abs (s.x), s.y, s.z);
		else transform.localScale = new Vector3 (Mathf.Abs (s.x), s.y, s.z);

	}
}
